Get agents by action ids

Base URL
https://{kibana_url}
  • POST /api/fleet/agents
  • POST /s/{space_id}/api/fleet/agents
Auth

Retrieve agents associated with specific action IDs.

Required authorization

Privileges fleet-agents-read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

actionIds string[] · max items: 1000 required

Responses

Successful response

application/json
items string[] · max items: 10000 required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}